Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyPackageDoc

All Superinterfaces:
  Comparable, GroovyDoc

All Known Implementing Classes:
  SimpleGroovyPackageDoc

    public interface GroovyPackageDoc

extends GroovyDoc

Method Summary
`GroovyClassDoc[]` | `allClasses()` All included classes and interfaces in this package.
`GroovyClassDoc[]` | `allClasses(boolean filter)` All classes and interfaces in this package optionally limited to just the included ones.
`String` | `description()` Description of the package.
`GroovyClassDoc[]` | `enums()` Included enum types in this package.
`GroovyClassDoc[]` | `errors()` Included errors in this package.
`GroovyClassDoc[]` | `exceptions()` Included exceptions in this package.
`GroovyClassDoc` | `findClass(String className)` Find a class or interface within this package.
`String` | `getRelativeRootPath()`
`GroovyClassDoc[]` | `interfaces()` Included interfaces in this package.
`String` | `nameWithDots()`
`GroovyClassDoc[]` | `ordinaryClasses()` Included ordinary classes in this package.
`String` | `summary()` The one-sentence summary for the package derived from the beginning of the description.

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### allClasses

    GroovyClassDoc[] allClasses()

  All included classes and interfaces in this package.

  Returns:
    array of classes and interfaces found or empty array if none found

### allClasses

    GroovyClassDoc[] allClasses(boolean filter)

  All classes and interfaces in this package optionally limited to just the included ones.

  Parameters:
    `filter` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
  Returns:
    array of classes and interfaces found or empty array if none found

### enums

    GroovyClassDoc[] enums()

  Included enum types in this package.

  Returns:
    array of enum types found or empty array if none found

### errors

    GroovyClassDoc[] errors()

  Included errors in this package.

  Returns:
    array of errors found or empty array if none found

### exceptions

    GroovyClassDoc[] exceptions()

  Included exceptions in this package.

  Returns:
    array of exceptions found or empty array if none found

### findClass

    GroovyClassDoc findClass(String className)

  Find a class or interface within this package.

  Parameters:
    `className` - the name of the class to find
  Returns:
    ClassDoc of found class or interface, or null if not found

### interfaces

    GroovyClassDoc[] interfaces()

  Included interfaces in this package.

  Returns:
    array of interfaces found or empty array if none found

### ordinaryClasses

    GroovyClassDoc[] ordinaryClasses()

  Included ordinary classes in this package.

  Returns:
    array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found

### summary

    String summary()

  The one-sentence summary for the package derived from the beginning of the description.

  Returns:
    the summary

### description

    String description()

  Description of the package.

  Returns:
    the description

### nameWithDots

    String nameWithDots()

### getRelativeRootPath

    String getRelativeRootPath()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD